> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cash Requirements Report

> Start an asynchronous job to generate a Cash Requirements report showing the funds a company needs to cover an upcoming payroll run.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/cash-requirements
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/cash-requirements:
    post:
      summary: Create Cash Requirements Report
      description: Create a cash requirements report
      operationId: create-a-cash-requirements-report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - check_date
                - media_type
              properties:
                companyID:
                  type: string
                  description: Zeal Company ID
                check_date:
                  type: string
                  description: >-
                    Check date this report is requested for. Date should be in
                    ISO-8601 format (YYYY-MM-DD).
                  format: date
                media_type:
                  type: string
                  description: >-
                    The type of format this report can be downloaded as. Cash
                    Requirement reports currently only support "pdf".
                  default: pdf
                customer_account_ids:
                  type: array
                  description: Filter by customer account(s) (Early Access)
                  items:
                    type: string
            examples:
              Request Example:
                value:
                  companyID: fc235f012bae46aa8a082f357715bcfa
                  check_date: '2023-12-22'
                  media_type: pdf
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: cd4bbf73-e141-42bd-a331-5845c994ebe1
                      status: pending
                      request_body:
                        company_id: fc235f012bae46aa8a082f357715bcfa
                        check_date: '2022-01-22'
                        media_type: pdf
                        has_live_key: true
                        report_format: cash_requirements
                      created_at: '2023-12-25T16:48:36.802Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: cd4bbf73-e141-42bd-a331-5845c994ebe1
                      status:
                        type: string
                        example: pending
                      request_body:
                        type: object
                        properties:
                          company_id:
                            type: string
                            example: fc235f012bae46aa8a082f357715bcfa
                          check_date:
                            type: string
                            example: '2022-01-22'
                          media_type:
                            type: string
                            example: pdf
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          report_format:
                            type: string
                            example: cash_requirements
                      created_at:
                        type: string
                        example: '2023-12-25T16:48:36.802Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Must provide a valid companyID
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Must provide a valid companyID
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````